## sockperf 3.6

=== debian/changelog ===
sockperf (3.6-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:10:54 +0100

sockperf (3.6-2) unstable; urgency=medium

  * archs.patch: fix building on a few more architectures
  * copyrights: remove template comments
  * reproducible.patch: remove whitespace-only hunk

 -- Tzafrir Cohen <tzafrir@debian.org>  Thu, 07 Feb 2019 19:37:49 +0200

sockperf (3.6-1) unstable; urgency=low

  * Initial Release (Closes: #911243).

 -- Tzafrir Cohen <tzafrir@debian.org>  Mon, 28 Jan 2019 05:14:12 +0200
