=== debian/rules ===
#!/usr/bin/make -f
### See debhelper(7) (uncomment to enable)
### This is a autogenerated template for debian/rules.
### You must remove unused comment lines for the released package.
###
### Output every command that modifies files on the build system.
#DH_VERBOSE = 1
###
### Define DEB_HOST_* and  DEB_BUILD_* variables using
### dpkg-architecture(1) if they are used in this file. E.g.:
###DEB_HOST_MULTIARCH = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
###DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
###
### Copy some variable definitions from pkg-info.mk and vendor.mk
### under /usr/share/dpkg/ to here if they are useful.
###
### See FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
###
### See ENVIRONMENT in dpkg-buildflags(1)
### Package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
### Package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export SOCKPERF_BUILD_TIME  = $(shell date -u -r debian/changelog +'%Y-%m-%d %H:%M:%S')

BUILD_DIR = debian/build_dir
BUILD_OPT = --builddirectory=$(BUILD_DIR)

### main packaging script based on dh7 syntax
%:
	dh $@ --with=autoreconf

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure $(BUILD_OPT) -- --enable-doc

override_dh_auto_build:
	dh_auto_build $(BUILD_OPT)

override_dh_auto_test:
	dh_auto_test $(BUILD_OPT)

tools_dir = debian/sockperf/usr/share/sockperf/tools
override_dh_auto_install:
	dh_auto_install $(BUILD_OPT)
	mkdir -p $(tools_dir)
	cp -a tools/*.awk $(tools_dir)/
	sed -i -e '1s|#!/bin/awk|#!/usr/bin/awk|' $(tools_dir)/*.awk
	rm -rf debian/sockperf/usr/share/doc

override_dh_auto_clean:
	rm -rf $(BUILD_DIR)

override_dh_install:
	dh_install --fail-missing

### Alternatively
### support for -Wl,--as-needed to ltmain.sh with autoreconf -f -i
###override_dh_autoreconf:
###	dh_autoreconf --as-needed
###
### Set options for ./configure
###CONFIGURE_FLAGS = <options for ./configure>
###overrride_dh_configure:
###	dh_configure -- $(CONFIGURE_FLAGS)
###
### Do not install libtool archive, python .pyc .pyo
