## sockperf 3.7

=== debian/changelog ===
sockperf (3.7-1) unstable; urgency=medium

  [ Tzafrir Cohen ]
  * New upstream release:
    * Dropped buffer_size.patch and gcc8.patch: merged upstream.
  * Debhelper compat 13
  * Standards version 4.6.0

 -- Tzafrir Cohen <tzafrir@debian.org>  Mon, 23 Aug 2021 15:14:23 +0300
