=== debian/control ===
Source: sockperf
Section: net
Priority: optional
Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
Uploaders: Tzafrir Cohen <tzafrir@debian.org>
Build-Depends: debhelper-compat (= 13),
 automake,
 autoconf,
 doxygen,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/hpc-team/sockperf.git
Vcs-Browser: https://salsa.debian.org/hpc-team/sockperf
Homepage: https://github.com/Mellanox/sockperf

Package: sockperf
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Network benchmarking utility for testing latency and throughput
 sockperf is a network benchmarking utility over socket API that was
 designed for testing performance (latency and throughput) of
 high-performance systems (it is also good for testing performance of
 regular networking systems as well). It covers most of the socket API
 calls and options.
 .
 Specifically, in addition to the standard throughput tests, sockperf,
 does the following:
  * Measure latency of each discrete packet at sub-nanosecond
    resolution (using TSC register that counts CPU ticks with very low
    overhead).
  * Does the above for both ping-pong mode and for latency under load
    mode. This means that measuring latency of single packets even under
    load of millions Packets Per Second (without waiting for reply of
    packet before sending subsequent packet on time)
  * Enable spike analysis by providing histogram, with various
    percentiles of the packets' latencies (for example: median, min, max,
    99% percentile, and more), (this is in addition to average and
    standard deviation). Also, sockperf provides full log with all
    packet's tx/rx times that can be further analyzed with external
    tools, such as MS-Excel or matplotlib - All this without affecting
    the benchmark itself.
  * Support MANY optional settings for good coverage of socket API and
    network configurations, while still keeping very low overhead in the
    fast path to allow cleanest results.
