=== debian/rules ===
--- 
+++ 
@@ -55,9 +55,6 @@
 override_dh_auto_clean:
 	rm -rf $(BUILD_DIR)
 
-override_dh_install:
-	dh_install --fail-missing
-
 ### Alternatively
 ### support for -Wl,--as-needed to ltmain.sh with autoreconf -f -i
 ###override_dh_autoreconf:
